# wxCharBuffer Class Reference
[Data Structures]

`#include </home/work/projects/wx/2.9/wx/interface/wx/buffer.h>`

Inheritance diagram for wxCharBuffer:
[legend]

## Detailed Description

This is a specialization of wxCharTypeBuffer<T> for `char` type.

##

Library: None; this class implementation is entirely header-based.
Category: Data Structures

## Public Types

typedef wxCharTypeBuffer< char > | wxCharTypeBufferBase
typedef wxScopedCharTypeBuffer < char > | wxScopedCharTypeBufferBase

## Public Member Functions

| wxCharBuffer (const wxCharTypeBufferBase &buf)
| wxCharBuffer (const wxScopedCharTypeBufferBase &buf)
| wxCharBuffer (const CharType *str=NULL)
| wxCharBuffer (size_t len)
| wxCharBuffer (const wxCStrData &cstr)

List of all members.

## Member Typedef Documentation

typedef wxCharTypeBuffer<char> wxCharBuffer::wxCharTypeBufferBase

typedef wxScopedCharTypeBuffer<char> wxCharBuffer::wxScopedCharTypeBufferBase

## Constructor & Destructor Documentation

wxCharBuffer::wxCharBuffer | ( | const wxCharTypeBufferBase & | buf | ) |

wxCharBuffer::wxCharBuffer | ( | const wxScopedCharTypeBufferBase & | buf | ) |

wxCharBuffer::wxCharBuffer | ( | const CharType * | str = `NULL` | ) |

wxCharBuffer::wxCharBuffer | ( | size_t | len | ) |

wxCharBuffer::wxCharBuffer | ( | const wxCStrData & | cstr | ) |

|  | [ top ]